Package relaxngcc.codedom

# Class CDExpression

java.lang.Object
relaxngcc.codedom.CDExpression

Direct Known Subclasses:
  `CDCastExpression`, `CDConstant`, `CDLanguageSpecificString`, `CDMethodInvokeExpression`, `CDObjectCreateExpression`, `CDVariable`

public abstract class CDExpression extends Object

## Constructor Summary

Constructors
Constructor
Description
`CDExpression()`

## Method Summary

Modifier and Type
Method
Description
`CDObjectCreateExpression`
`_new(CDType type)`
Creates a new instance of an inner class from this expression.
`CDExpression`
`arrayRef(int index)`
`CDExpression`
`arrayRef(CDExpression index)`
Refers to an item of the array
`CDExpression`
`castTo(CDType t)`
Casts to another type.
`CDMethodInvokeExpression`
`invoke(String method)`
Invokes a method on this expression.
`CDExpression`
`not()`
Creates !x
`CDExpression`
`prop(String name)`
Refers to a property of this expression.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDExpression

public CDExpression()

## Method Details

### invoke

public CDMethodInvokeExpression invoke(String method)
Invokes a method on this expression.

### arrayRef

public CDExpression arrayRef(CDExpression index)
Refers to an item of the array

### arrayRef

public CDExpression arrayRef(int index)

### prop

public CDExpression prop(String name)
Refers to a property of this expression.

### not

public CDExpression not()
Creates !x

### castTo

public CDExpression castTo(CDType t)
Casts to another type.

### _new

public CDObjectCreateExpression _new(CDType type)
Creates a new instance of an inner class from this expression.